javax.ws.rs

## Class NotAllowedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException
        - - javax.ws.rs.ClientErrorException
          - - javax.ws.rs.NotAllowedException

- All Implemented Interfaces:
    Serializable

      public class NotAllowedException
      extends ClientErrorException

  A runtime exception indicating a client requesting a resource method that is `not allowed`.
  Since:
    2.0
  Author:
    Marek Potociar
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotAllowedException(Response response)` Construct a new method not allowed exception.
    `NotAllowedException(Response response, Throwable cause)` Construct a new method not allowed exception.
    `NotAllowedException(String message, Response response)` Construct a new method not allowed exception.
    `NotAllowedException(String message, Response response, Throwable cause)` Construct a new method not allowed exception.
    `NotAllowedException(String allowed, String... moreAllowed)` Construct a new method not allowed exception.
    `NotAllowedException(String message, String allowed, String... moreAllowed)` Construct a new method not allowed exception.
    `NotAllowedException(String message, Throwable cause, String... allowedMethods)` Construct a new method not allowed exception.
    `NotAllowedException(Throwable cause, String... allowedMethods)` Construct a new method not allowed exception.

  - ### Method Summary

    - ### Methods inherited from class javax.ws.rs.WebApplicationException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotAllowedException

          public NotAllowedException(String allowed,
                             String... moreAllowed)

      Construct a new method not allowed exception.
      Parameters:
        `allowed` - allowed request method.
        `moreAllowed` - more allowed request methods.
      Throws:
        `NullPointerException` - in case the allowed method is `null`.

    - #### NotAllowedException

          public NotAllowedException(String message,
                             String allowed,
                             String... moreAllowed)

      Construct a new method not allowed exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `allowed` - allowed request method.
        `moreAllowed` - more allowed request methods.
      Throws:
        `NullPointerException` - in case the allowed method is `null`.

    - #### NotAllowedException

          public NotAllowedException(Response response)

      Construct a new method not allowed exception.

      Note that this constructor does not validate the presence of HTTP `Allow` header. I.e. it is possible to use the constructor to create a client-side exception instance even for an invalid HTTP `405` response content returned from a server.

      Parameters:
        `response` - error response.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `405`.

    - #### NotAllowedException

          public NotAllowedException(String message,
                             Response response)

      Construct a new method not allowed exception.

      Note that this constructor does not validate the presence of HTTP `Allow` header. I.e. it is possible to use the constructor to create a client-side exception instance even for an invalid HTTP `405` response content returned from a server.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - error response.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `405`.

    - #### NotAllowedException

          public NotAllowedException(Throwable cause,
                             String... allowedMethods)

      Construct a new method not allowed exception.
      Parameters:
        `cause` - the underlying cause of the exception.
        `allowedMethods` - allowed request methods.
      Throws:
        `IllegalArgumentException` - in case the allowed methods varargs are `null`.

    - #### NotAllowedException

          public NotAllowedException(String message,
                             Throwable cause,
                             String... allowedMethods)

      Construct a new method not allowed exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the underlying cause of the exception.
        `allowedMethods` - allowed request methods.
      Throws:
        `IllegalArgumentException` - in case the allowed methods varargs are `null`.

    - #### NotAllowedException

          public NotAllowedException(Response response,
                             Throwable cause)

      Construct a new method not allowed exception.
      Parameters:
        `response` - error response.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `405` or does not contain an HTTP `Allow` header.

    - #### NotAllowedException

          public NotAllowedException(String message,
                             Response response,
                             Throwable cause)

      Construct a new method not allowed exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - error response.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `405` or does not contain an HTTP `Allow` header.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.